Loading...
Searching...
No Matches
classname.hh File Reference

A free function to provide the demangled class name of a given object or type as a string. More...

`#include <cstdlib>`
`#include <memory>`
`#include <string>`
`#include <typeinfo>`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<class T>
std::string | Dune::className ()
| Provide the demangled class name of a type T as a string.
template<class T>
std::string | Dune::className (T &&v)
| Provide the demangled class name of a given object as a string.

## Detailed Description

A free function to provide the demangled class name of a given object or type as a string.